Package org.apache.lucene.internal.hppc

## Class CharCursor

- java.lang.Object
- - org.apache.lucene.internal.hppc.CharCursor

-     public final class CharCursor
      extends Object

  Forked from HPPC, holding int index and char value.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `index` | The current value's index in the container this cursor belongs to.
    `char` | `value` | The current value.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CharCursor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### index

          public int index

      The current value's index in the container this cursor belongs to. The meaning of this index is defined by the container (usually it will be an index in the underlying storage buffer).

    - #### value

          public char value

      The current value.

  - ### Constructor Detail

    - #### CharCursor

          public CharCursor()

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`